MODBUS_WRITE_REGISTE(3)

NAME
modbus_write_register - write a single register

SYNOPSIS

int modbus_write_register(modbus_t *ctx, int addr, int value);

DESCRIPTION

The modbus_write_register() function shall write the value of value holding registers at the address addr of the remote device.

The function uses the Modbus function code 0x06 (preset single register).

RETURN VALUE

The modbus_write_register() function shall return 1 if successful. Otherwise it shall return -1 and set errno.

SEE ALSO

modbus_read_registers(3) modbus_write_registers(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com